gnutls_rsa_params_import_pkcs1(3)

NAME
gnutls_rsa_params_import_pkcs1 - import RSA params from a pkcs1 structure

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_rsa_params_import_pkcs1(gnutls_rsa_params_t params, const gnutls_datum_t * pkcs1_params, gnutls_x509_crt_fmt_t format);

ARGUMENTS

gnutls_rsa_params_t params
    A structure where the parameters will be copied to

const gnutls_datum_t * pkcs1_params
    should contain a PKCS1 RSAPublicKey structure PEM or DER encoded

gnutls_x509_crt_fmt_t format
    the format of params. PEM or DER.

DESCRIPTION
This function will extract the RSAPublicKey found in a PKCS1 formatted structure. If the structure is PEM encoded, it should have a header of "BEGIN RSA PRIVATE KEY". In case of failure a negative value will be returned, and 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.